AnnotationControllerReplyAnnotation Method (Guid, AnnotationReplyOptions, NullableGuid) |
POST /Annotation/Reply/{id}
Creates a reply to an annotation.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Reply")]
public IActionResult ReplyAnnotation(
Guid id,
[FromBodyAttribute] AnnotationReplyOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Reply")>
Public Function ReplyAnnotation (
id As Guid,
<FromBodyAttribute> options As AnnotationReplyOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Reply")]
IActionResult^ ReplyAnnotation(
Guid id,
[FromBodyAttribute] AnnotationReplyOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Reply")>]
member ReplyAnnotation :
id : Guid *
[<FromBodyAttribute>] options : AnnotationReplyOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the annotation to reply to. - options
- Type: Dundas.BI.WebApi.ModelsAnnotationReplyOptions
The annotation options to be created. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
AnnotationData object, or a status code indicating the problem.
See Also